{% load i18n %}

{% block content %}

    <div id="divModal_forcing" class="modal fade" role="dialog" data-backdrop="static" data-keyboard="false">
      <div class="vertical-alignment-helper">
        <div class="modal-dialog vertical-align-center">
          <!-- Modal content-->
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">{% trans "Fechar" %}</span></button>
              <span class="modal-title">{% trans "Condições da Fronteira" %}: '<span id="bidLabel"></span>'</span>
            </div>

            <div class="modal-body">
                <div>
                    {{ forms.2.ftype.label_tag }} {{ forms.2.ftype }}
                </div>
                <hr/>
                <div class="tab-content">
                    <div id="ocean" class="tab-pane active">
                    </div>
                    <div id="river" class="tab-pane wscroll">
                        {% if "3d" in run_type %}
                        <ul class="nav nav-pills nav-justified">
                            <li class="active">
                                <a href="#flux" role="tab" data-toggle="tab">{% trans "Fluxo" %}</a>
                            </li>
                            <li>
                                <a href="#temp" role="tab" data-toggle="tab">{% trans "Temperatura" %}</a>
                            </li>
                            <li>
                                <a href="#salt" role="tab" data-toggle="tab">{% trans "Salinidade" %}</a>
                            </li>
                        </ul>

                        <div id="tabs" class="tab-content">
                            <div id="flux" class="tab-pane active martop">
                        {% else %}
                        <div class="martop marleft">
                        {% endif %}
                            <label for="flux_input_0">
                                <input id="flux_input_0" name="flux_input" value="annual" type="radio" checked>
                                <b>{% trans "Fluxo médio anual" %}:</b>
                            </label>
                            {{ forms.2.flux13 }}
                            {% if forms.2.flux13.help_text %}
                            <br/><span class="text-info small" >{{ forms.2.flux13.help_text|safe }}</span>
                            {% endif %}
                            <br/>
                            <label for="flux_input_1">
                                <input id="flux_input_1" name="flux_input" value="monthly" type="radio">
                                <b>{% trans "Fluxo médio mensal" %}:</b>
                            </label><br/>
                            {% for field in forms.2 %}
                            {% if 'flux' in field.auto_id and not 'flux13' in field.auto_id %}
                            <div class="divinline">
                                {{ field }}
                            </div>
                            {% if field.help_text %}
                            <br/><span class="text-info small">{{ field.help_text|safe }}</span>
                            {% endif %}
                            {% endif %}
                            {% endfor %}
                            <div class="martop">
                                <label for="flux_input_2">
                                    <input id="flux_input_2" name="flux_input" value="url" type="radio">
                                    <b>{{ forms.2.url.label_tag }}</b>
                                </label><br/>
                                {{ forms.2.url }}
                                {% if forms.2.url.help_text %}
                                <span class="text-info small">{{ forms.2.url.help_text|safe }}</span>
                                {% endif %}
                            </div>
                            <div class="martop">
                                <label for="flux_input_3">
                                    <input id="flux_input_3" name="flux_input" value="percent" type="radio">
                                    <b>{{ forms.2.bid_perc.label_tag }}</b>
                                </label>
                                {{ forms.2.bid_perc }}
                                <span><b>{{ forms.2.bids.label_tag }}</b></span>
                                {{ forms.2.bids }}
                                {% if forms.2.bids.help_text %}
                                <br/><span class="text-info small">{{ forms.2.bids.help_text|safe }}</span>
                                {% endif %}
                            </div>
                        </div>
                        {% if "3d" in run_type %}
                        <div id="temp" class="tab-pane martop">
                            <label for="temp_input_0">
                                <input id="temp_input_0" name="temp_input" value="annual" type="radio" checked>
                                <b>{% trans "Temperatura média anual" %}:</b>
                            </label>
                            {{ forms.2.temp13 }}
                            <br/>
                            <label for="temp_input_1">
                                <input id="temp_input_1" name="temp_input" value="monthly" type="radio">
                                <b>{% trans "Temperatura média mensal" %}:</b>
                            </label><br/>
                            {% for field in forms.2 %}
                            {% if 'temp' in field.auto_id and not 'temp13' in field.auto_id %}
                            <div class="divinline">
                                {{ field }}
                            </div>
                            {% endif %}
                            {% endfor %}
                        </div>
                        <div id="salt" class="tab-pane martop">
                            <label for="salt_input_0">
                                <input id="salt_input_0" name="salt_input" value="annual" type="radio" checked>
                                <b>{% trans "Salinidade média anual" %}:</b>
                            </label>
                            {{ forms.2.salt13 }}
                            <br/>
                            <label for="salt_input_1">
                                <input id="salt_input_1" name="salt_input" value="monthly" type="radio">
                                <b>{% trans "Salinidade média mensal" %}:</b>
                            </label><br/>
                            {% for field in forms.2 %}
                            {% if 'sal' in field.auto_id and not 'salt13' in field.auto_id %}
                            <div class="divinline">
                                {{ field }}
                            </div>
                            {% endif %}
                            {% endfor %}
                        </div>
                    </div>
                    {% endif %}
                        </div>
                    </div>

                {{ forms.2.forcings }}

                <div id="form_errors" class="alert alert-danger">
                </div>

                <div class="modal-footer">
                  <button type="button" class="btn btn-default" data-dismiss="modal">{% trans "Fechar" %}</button>
                  <button id="btn_apply" class="btn btn-primary"><span id="applyLabel"></span></button>
                </div>
            </div>
          </div>
        </div>
      </div>
    </div>

{% endblock content %}